import request from '@/utils/request'

// 登录方法
export function login(username, password, code) {
  const data = {
    username,
    password,
    code,
  }
  return request({
    url: '/admin/login',
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/admin/info',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/admin/logout',
    method: 'post'
  })
}

// 获取总的未读条数
export function getNoReadCount(params) {
  return request({
    url: '/chat/getNoReadCount',
    params: params
  });
}

export function fetchList(params) {
  return request({
    url: '/admin/list',
    method: 'get',
    params: params
  });
}
export function createAdmin(data) {
  return request({
    url: '/admin/register',
    method: 'post',
    data: data
  });
}

export function updateAdmin(id, data) {
  return request({
    url: '/admin/update/' + id,
    method: 'post',
    data: data
  });
}

export function updateStatus(id, params) {
  return request({
    url: '/admin/updateStatus/' + id,
    method: 'post',
    params: params
  });
}

export function deleteAdmin(id) {
  return request({
    url: '/admin/delete/' + id,
    method: 'post'
  });
}

export function getRoleByAdmin(id) {
  return request({
    url: '/admin/role/' + id,
    method: 'get'
  });
}

export function allocRole(params) {
  return request({
    url: '/admin/role/update',
    method: 'post',
    params
  });
}
